<?php 
class cPiso{
	
 function insertar($nom,$punven_id,$alm_id){
		$sql = "INSERT INTO tb_piso(
		tb_piso_xac,
		tb_piso_nom,
		tb_puntoventa_id,
		tb_almacen_id
		) VALUES (
		'1',
		'$nom',
		'$punven_id',
		'$alm_id'
		)";		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
 function modificar($id_pis,$nom,$punven_id,$alm_id){ 
		$sql = "UPDATE tb_piso SET 
		tb_piso_nom='$nom',
		tb_puntoventa_id='$punven_id',
		tb_almacen_id='$alm_id'
		WHERE tb_piso_id = '$id_pis'";		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
 function filtrarLocal(){		
		$sql = "SELECT * FROM tb_local WHERE tb_local_xac = 1"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
 function MostrarUno($pis_id){		
		$sql = "SELECT * FROM tb_piso pi
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = pi.tb_puntoventa_id
		WHERE pi.tb_piso_id = '$pis_id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
 function filtrar(){		
		$sql = "SELECT * FROM tb_piso"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
 function ContarMesasXsalon($pis_id){		
		$sql = "SELECT count(tb_mesa_id) as num_mesas FROM tb_mesa where tb_salon_id='$pis_id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
 function eliminar($pis_id){
		$sql = "UPDATE tb_piso SET
		tb_piso_xac =  '0' 
		WHERE tb_piso_id ='$pis_id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function selectConLocal($piso_id){	
		$sql = "SELECT * FROM tb_piso pi	 
		inner join tb_puntoventa p on pi.tb_puntoventa_id = p.tb_puntoventa_id
		inner join tb_empresa em on p.tb_empresa_id = em.tb_empresa_id
		inner join tb_almacen al on al.tb_almacen_id = pi.tb_almacen_id
		WHERE pi.tb_piso_xac = 1"; 
		
		if($piso_id!="") $sql .= " and pi.tb_piso_id  = '$piso_id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrarTodos_punven($punven_id,$piso_id){	
		$sql = "SELECT * FROM tb_piso pi	 
		inner join tb_puntoventa p on pi.tb_puntoventa_id = p.tb_puntoventa_id
		inner join tb_empresa em on p.tb_empresa_id = em.tb_empresa_id
		inner join tb_almacen al on al.tb_almacen_id = pi.tb_almacen_id
		WHERE pi.tb_piso_xac = 1 "; 
		
		if($punven_id>0) $sql .= " and pi.tb_puntoventa_id  = '$punven_id' ";
		if($piso_id>0) $sql .= " and pi.tb_piso_id  = '$piso_id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
}
?>